## xilinx-vcu-omx 2020.2

=== Makefile ===
define get-my-dir
$(patsubst %/,%,$(dir $(lastword $(MAKEFILE_LIST))))
endef

THIS:=$(call get-my-dir)

all: true_all

PWD:=$(shell pwd)

BIN?=$(PWD)/bin
OMX_HEADERS?=$(PWD)/omx_header
EXTERNAL_INCLUDE?=$(PWD)/../allegro-vcu-ctrl-sw/include
EXTERNAL_CONFIG?=$(EXTERNAL_INCLUDE)/config.h

ifndef BIN
$(error BIN must be set)
endif

ifndef OMX_HEADERS
$(error OMX_HEADERS must be set)
endif

ifndef EXTERNAL_INCLUDE
$(error EXTERNAL_INCLUDE must be set)
endif

ifndef EXTERNAL_CONFIG
$(error EXTERNAL_CONFIG must be set)
endif

EXTERNAL_SRC?=
EXTERNAL_LIB?=


ENABLE_VCU?=1
ENABLE_MCU?=1
ENABLE_64BIT?=1
ENABLE_DMA_COPY_ENC?=1

-include quirks.mk
CROSS_COMPILE?=

CXX:=$(CROSS_COMPILE)g++
CC:=$(CROSS_COMPILE)gcc
AS:=$(CROSS_COMPILE)as
AR:=$(CROSS_COMPILE)ar
NM:=$(CROSS_COMPILE)nm
LD:=$(CROSS_COMPILE)ld
OBJDUMP:=$(CROSS_COMPILE)objdump
OBJCOPY:=$(CROSS_COMPILE)objcopy
RANLIB:=$(CROSS_COMPILE)ranlib
STRIP:=$(CROSS_COMPILE)strip
SIZE:=$(CROSS_COMPILE)size

ifeq ($(ENABLE_DMA_COPY_ENC), 1)
  CFLAGS+=-DAL_ENABLE_DMA_COPY_ENC
endif

TARGET?=$(shell $(CC) -dumpmachine)

ifeq ($(ENABLE_64BIT),0)
  # force 32 bit compilation
  ifneq (,$(findstring x86_64,$(TARGET)))
    CFLAGS+=-m32
    LDFLAGS+=-m32
    TARGET:=i686-linux-gnu
  endif
endif

include $(THIS)/builder.mk

DEFAULT_CFLAGS:=$(CFLAGS)
DEFAULT_CFLAGS+=-O3
DEFAULT_CFLAGS+=-pedantic
DEFAULT_CFLAGS+=-g0
DEFAULT_CFLAGS+=-Wall
DEFAULT_CFLAGS+=-Wextra

DEFAULT_CFLAGS+=-Wno-missing-field-initializers

DEFAULT_LDFLAGS:=$(LDFLAGS)

INCLUDES+=-I$(THIS)
INCLUDES+=-I$(OMX_HEADERS)
INCLUDES+=-I$(EXTERNAL_INCLUDE)
INCLUDES+=-include $(EXTERNAL_CONFIG)

-include $(THIS)/get_external.mk

include $(THIS)/utility/project.mk

include $(THIS)/core/project.mk

include $(THIS)/project_codec.mk
-include $(THIS)/project_enc.mk
-include $(THIS)/project_dec.mk

include $(THIS)/exe_omx/project_codec.mk
-include $(THIS)/exe_omx/project_enc.mk
-include $(THIS)/exe_omx/project_dec.mk

-include $(THIS)/conformance/project.mk
-include $(THIS)/unittests.mk

.PHONY: clean
clean:
	$(Q)rm -rf $(BIN)
	@echo "CLEAN $(BIN)"

.PHONY: distclean
distclean: clean
	@echo "CLEAN $(EXTERNAL_LIB)"
	$(Q)rm -rf $(EXTERNAL_LIB)

TARGETS: $(externals)
true_all: $(TARGETS)

=== debian/changelog ===
xilinx-vcu-omx (2020.2-0ubuntu4~20.04.1) focal; urgency=medium

  * SRU to focal (LP: #1929834)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 28 May 2021 10:34:49 +0200

xilinx-vcu-omx (2020.2-0ubuntu4~20.04) focal; urgency=medium

  * Backport hirsute patches

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 14 May 2021 17:21:28 +0200

xilinx-vcu-omx (2020.2-0ubuntu1) focal; urgency=medium

  * Update to xilinx-v2020.2 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 15 Dec 2020 14:47:04 +0100

xilinx-vcu-omx (2020.1-0ubuntu0xlnx3) focal; urgency=medium

  * Fix install paths

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 26 Oct 2020 20:35:51 +0100

xilinx-vcu-omx (2020.1-0ubuntu0xlnx2) focal; urgency=medium

  * Install in /usr/lib/ instead of /usr/lib/$DEB_TARGET_MULTIARCH, as
    there are hard-coded paths in the code pointing to /usr/lib.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 26 Oct 2020 17:30:40 +0100

xilinx-vcu-omx (2020.1-0ubuntu0xlnx1) focal; urgency=medium

  * Initial release.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Jun 2020 17:26:19 +0200

=== debian/control ===
Source: xilinx-vcu-omx
Section: multiverse/graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12),
               libxilinx-vcu-dev (>= 2020.1~),
Standards-Version: 4.5.0

Package: xilinx-vcu-omx-utils
Architecture: arm64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xilinx VCU OpenMax Integration Layer - command-line utilities
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU OpenMax (OMX) Integration Layer (IL) provides an
 implementation of OMX IL for this hardware.
 .
 This package contains the command-line utilities.

Package: libxilinx-vcu-omx1
Section: multiverse/libs
Architecture: arm64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xilinx VCU OpenMax Integration Layer - runtime libraries
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU OpenMax (OMX) Integration Layer (IL) provides an
 implementation of OMX IL for this hardware.
 .
 This package contains the runtime libraries.

Package: libxilinx-vcu-omx-dev
Section: multiverse/libdevel
Architecture: arm64 armel armhf
Depends: ${misc:Depends}
         libxilinx-vcu-omx1 (= ${binary:Version})
Description: Xilinx VCU OpenMax Integration Layer - development files
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU OpenMax (OMX) Integration Layer (IL) provides an
 implementation of OMX IL for this hardware.
 .
 This package contains the development files.

=== debian/watch ===
version=4
opts="filenamemangle=s%.*xilinx-v?(\d.*)\.tar\.gz%xilinx-vcu-omx-$1.tar.gz%" \
    https://github.com/Xilinx/vcu-omx-il/releases \
    .*xilinx-v?(\d.*)\.tar\.gz debian uupdate

## xilinx-vcu-omx 2022.1

=== debian/changelog ===
xilinx-vcu-omx (2022.1-0ubuntu0xlnx1) jammy; urgency=medium

  * Update to Xilinx xilinx_v2022.1 tag
  * Fix license header in copyright file.
  * Fix critical missing comma in dependencies.

 -- Hon Ming Hui <honming.hui@canonical.com>  Tue, 31 May 2022 18:46:35 +0800

xilinx-vcu-omx (2020.2-0ubuntu4) hirsute; urgency=medium

  * Correct url in debian/copyright, fix filename in debian/watch.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 15 Apr 2021 12:52:24 +0200

xilinx-vcu-omx (2020.2-0ubuntu3) hirsute; urgency=medium

  * Add watch file and fix lintian warnings

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 12 Apr 2021 12:24:53 +0200

xilinx-vcu-omx (2020.2-0ubuntu2) hirsute; urgency=medium

  * Rebuild for hirsute

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 24 Mar 2021 15:43:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 12),
-               libxilinx-vcu-dev (>= 2020.1~),
+               libxilinx-vcu-dev (>= 2022.1~),
 Standards-Version: 4.5.0
 
 Package: xilinx-vcu-omx-utils
@@ -30,7 +30,7 @@
 Package: libxilinx-vcu-omx-dev
 Section: multiverse/libdevel
 Architecture: arm64 armel armhf
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, 
          libxilinx-vcu-omx1 (= ${binary:Version})
 Description: Xilinx VCU OpenMax Integration Layer - development files
  Some Xilinx models include a hardware Video Codec Unit (VCU). The

=== debian/watch ===
version=4
opts="filenamemangle=s%.*xilinx_v?(\d.*)\.tar\.gz%xilinx-vcu-omx-$1.tar.gz%,oversionmangle=s%_%-%" \
    https://github.com/Xilinx/vcu-omx-il/tags \
    .*xilinx_v?(\d.*)\.tar\.gz debian uupdate
